org.apache.sling.bgservlets.impl.storage

## Class NodeJobStatusFactoryImpl

- java.lang.Object
- - org.apache.sling.bgservlets.impl.storage.NodeJobStatusFactoryImpl

All Implemented Interfaces:
  NodeJobStatusFactory

    @Service
    public class NodeJobStatusFactoryImpl
    extends Object
    implements NodeJobStatusFactory

JobStatus that gets its data from a Node created by the JobDataImpl class. The state of such a job can be changed only if the job is currently active in the ExecutionEngine.

### Constructor Summary

Constructors
Constructor and Description
`NodeJobStatusFactoryImpl()`

### Method Summary

Methods
`JobStatus` `getJobStatus(javax.jcr.Node n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeJobStatusFactoryImpl

    public NodeJobStatusFactoryImpl()

### Method Detail

#### getJobStatus

    public JobStatus getJobStatus(javax.jcr.Node n)
                           throws javax.jcr.RepositoryException

Specified by:
  `getJobStatus` in interface `NodeJobStatusFactory`
Throws:
  `javax.jcr.RepositoryException`